import { b as brandName, k as __vitePreload } from "./index.a5dcc74e.js";
import { at as defineAsyncComponent, r as ref, b as computed } from "./vendor.07f7b9b8.js";
const NavbarLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.cfdea928.js"), true ? ["assets/AppLayout.cfdea928.js","assets/AppLayout.051eba33.css","assets/index.a5dcc74e.js","assets/index.ed24e122.css","assets/vendor.07f7b9b8.js","assets/VIconButton.cd9752e6.js","assets/VAvatar.e217127b.js","assets/VControl.a6960bb9.js","assets/VControl.66ed690d.css","assets/VField.3e3f434e.js","assets/VModal.05bf9bc5.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.46729e9a.js","assets/VDropdown.ae4137f7.js","assets/VDropdown.c0bc1257.css","assets/VIcon.72bd6243.js","assets/mesaService.4fddb767.js","assets/masterService.852c1e31.js"] : void 0));
const NavbarDropdownLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.cfdea928.js"), true ? ["assets/AppLayout.cfdea928.js","assets/AppLayout.051eba33.css","assets/index.a5dcc74e.js","assets/index.ed24e122.css","assets/vendor.07f7b9b8.js","assets/VIconButton.cd9752e6.js","assets/VAvatar.e217127b.js","assets/VControl.a6960bb9.js","assets/VControl.66ed690d.css","assets/VField.3e3f434e.js","assets/VModal.05bf9bc5.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.46729e9a.js","assets/VDropdown.ae4137f7.js","assets/VDropdown.c0bc1257.css","assets/VIcon.72bd6243.js","assets/mesaService.4fddb767.js","assets/masterService.852c1e31.js"] : void 0));
const NavbarSearchLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.cfdea928.js"), true ? ["assets/AppLayout.cfdea928.js","assets/AppLayout.051eba33.css","assets/index.a5dcc74e.js","assets/index.ed24e122.css","assets/vendor.07f7b9b8.js","assets/VIconButton.cd9752e6.js","assets/VAvatar.e217127b.js","assets/VControl.a6960bb9.js","assets/VControl.66ed690d.css","assets/VField.3e3f434e.js","assets/VModal.05bf9bc5.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.46729e9a.js","assets/VDropdown.ae4137f7.js","assets/VDropdown.c0bc1257.css","assets/VIcon.72bd6243.js","assets/mesaService.4fddb767.js","assets/masterService.852c1e31.js"] : void 0));
const layoutsComponents = {
  "navbar-default": NavbarLayout,
  "navbar-fade": NavbarLayout,
  "navbar-colored": NavbarLayout,
  "navbar-dropdown": NavbarDropdownLayout,
  "navbar-dropdown-colored": NavbarDropdownLayout,
  "navbar-clean": NavbarSearchLayout,
  "navbar-clean-center": NavbarSearchLayout,
  "navbar-clean-fade": NavbarSearchLayout
};
const navbarLayoutId = ref("navbar-default");
computed(() => {
  return layoutsComponents[navbarLayoutId.value] || NavbarLayout;
});
computed(() => {
  switch (navbarLayoutId.value) {
    case "navbar-fade":
    case "navbar-clean-fade":
      return "fade";
    case "navbar-colored":
    case "navbar-dropdown-colored":
      return "colored";
    case "navbar-clean-center":
      return "center";
    default:
      return "default";
  }
});
const pageTitle = computed(() => brandName.value);
export { pageTitle as p };
